## ros-kinetic-gmapping 1.3.10

=== debian/changelog ===
ros-kinetic-gmapping (1.3.10-0xenial) xenial; urgency=high

  * Install nodelet plugin descriptor file. (#56 <https://github.com/ros-perception/slam_gmapping/issues/56>)
  * Contributors: Mikael Arguedas, gavanderhoorn

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 23 Jan 2018 08:00:00 -0000

ros-kinetic-gmapping (1.3.9-0xenial) xenial; urgency=high

  * remove unused file
  * add missing nodelet dependency to find_package
  * make rostest in CMakeLists optional (ros/rosdistro#3010 <https://github.com/ros/rosdistro/issues/3010>)
  * Add nodelet implementation. (#41 <https://github.com/ros-perception/slam_gmapping/issues/41>)
    * Add nodelet implementation.
    Add additional nodelet layer to mirror the node
    implementation. This allows the Slam GMapping
    library to be run as a nodelet instead. This
    would allow you to, for example, run it under
    the same nodelet manager as the nodelet producing
    the /scan output for greater efficiency.
    * Remove superfluous semicolons
    Removed superfluous semicolons and
    mildly clarified info stream output.
  * fix comment, change type from double to int (#40 <https://github.com/ros-perception/slam_gmapping/issues/40>)
    * fix comment, change type from double to int
    * fix comment, iterations param is not double but int
  * Contributors: David Hodo, Kevin Wells, Lukas Bulwahn, Oscar Lima, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 22 Oct 2017 07:00:00 -0000

ros-kinetic-gmapping (1.3.8-0xenial) xenial; urgency=high

  * fix a test that would take too long sometimes
  * better verbosity
  * add a test for upside down lasers
  * add a test for symmetry
  * make sure the laser sent to gmapping is always centered
  * do not display warning message if scan is processed at some point
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 31 Jul 2015 07:00:00 -0000

ros-kinetic-gmapping (1.3.7-0xenial) xenial; urgency=high

  * get replay to behave like live processing
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 04 Jul 2015 07:00:00 -0000

ros-kinetic-gmapping (1.3.6-0xenial) xenial; urgency=high

  * Don't crash on exit from replay.
  * replay: Add "on_done" command line parameter.
    Example usage:
    ros run gmapping slam_gmapping_replay --scan_topic=/scan --bag_filename=/tmp/in.bag --on_done "rosrun map_server map_saver -f foo" _particles:=100 _maxUrange:=10
  * replay: Handle order-of-data-in-bag-file issues better at startup.
    Silently discard scans at startup that arrive prior to the TF frames
    required by those scans.
    TF can't interpolate from non-existant data, so discard scans that
    arrive with timestamps prior to the first TF frame.  We do this
    expediently by discarding laser scans that throw
    ExtrapolationException's until/unless we successfully process our first
    scan.
    Similarly, ignore LookupException's at startup.
  * Fix indexing error for inverting scan.
  * add test dependencies
  * get replay test to pass
  * rename test
  * fixing include order
    removing pointer for Gmapping object
  * Minor Fix thanks to vrabaud comments
  * [new feature] replay on bag file
    The aim is to provide a way to get exactly the same map after running
    gmapping multiple times on the same rosbag file. It wasn't possible with the
    tool 'rosbag play', indeed one missing laser scan could provide really
    different results.
    Moreover, this modification allow to process rosbag offline at the maximum
    speed with the guarantee that all lasers scans are processed. It is
    useful in automatic tests and when finding optimal gmapping parameters with a script.
    Example usage:
    rosrun gmapping slam_gmapping_replay --scan_topic=/scan --bag_filename=/tmp/in.bag _particles:=100 _maxUrange:=10
    more options:
    rosrun gmapping slam_gmapping_replay --help
  * spliting init and constructor
    The objective is to allow future handling of replay offline rosbag files.
    This commit also add a variable for the seed, with the objective is to allow to
    have repeateable run (for future offline rosbag replay)
  * Added cfloat include
  * Change arbitrary constant to FLT_EPSILON
  * Added check that scan goes from -x to x
  * Contributors: Laurent GEORGE, Patrick Doyle, Qiao Huang, Vincent Rabaud, Windel Bouwman

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 26 Jun 2015 07:00:00 -0000

ros-kinetic-gmapping (1.3.5-0xenial) xenial; urgency=high

  * Fixed typo in slam_gmapping_pr2.launch
    Fixed a typo in the launchfile in the parameter "map_update_interval".
  * Contributors: DaMalo

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 28 Aug 2014 07:00:00 -0000

ros-kinetic-gmapping (1.3.4-0xenial) xenial; urgency=high

  * Reenabled temporal update in slam_gmapping.cpp
  * Contributors: DaMalo

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 07 Aug 2014 07:00:00 -0000

ros-kinetic-gmapping (1.3.3-0xenial) xenial; urgency=high

  * Adding the ability to set openslam_gmapping miminumScore through the ros parameter minimumScore
  * Contributors: Koen Lekkerkerker, William Woodall

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 23 Jun 2014 07:00:00 -0000

ros-kinetic-gmapping (1.3.2-0xenial) xenial; urgency=high

  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 14 Jan 2014 08:00:00 -0000

ros-kinetic-gmapping (1.3.1-0xenial) xenial; urgency=high

  * Fix usage of scoped locks so that they are not immediately destroyed.
    fixes #11 <https://github.com/ros-perception/slam_gmapping/issues/11>
  * check for CATKIN_ENABLE_TESTING
  * Contributors: Lukas Bulwahn, Stefan Kohlbrecher, William Woodall

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 13 Jan 2014 08:00:00 -0000

ros-kinetic-gmapping (1.3.0-0xenial) xenial; urgency=high

  * Renamed to gmapping, adding metapackage for slam_gmapping
  * catkinize slam_gmapping

